> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/keeperpam-commands/pam-launch-command.md).

# PAM Launchコマンド

CLIベースのKeeperPAM特権セッションを起動します。開発者は使い慣れたネイティブターミナルで対象に接続できます。「pam launch」を使用すると、セッションの操作内容が記録されます。

### Launchコマンド <a href="#launch-command" id="launch-command"></a>

PAM launchのプリフライトチェックを実行します。リソース、プロトコル、PAM構成、起動用認証情報、対象ホスト/ポート、ゲートウェイ (オンライン/オフライン状態を含む) を解決し、その概要を表示します。

<details>

<summary>DotNet CLI</summary>

**コマンド**: `pam-launch`

**別名**: `pam-l`

**パラメーター**:

<table><thead><tr><th width="296">パラメーター</th><th>説明</th></tr></thead><tbody><tr><td><code>&#x3C;record></code> (位置引数)</td><td>PAMリソースのUIDまたはタイトル</td></tr><tr><td><code>--credential</code> / <code>--cr</code></td><td>起動用認証情報 (<code>pamUser</code>) のUIDまたはタイトル (レコード側でallow-supplyフラグが必要)</td></tr><tr><td><code>--gateway</code>, <code>-g</code></td><td>ゲートウェイのUIDまたは名前で上書き</td></tr><tr><td><code>--host</code>, <code>-H</code></td><td><code>host:port</code>形式でホストを上書き (<code>--host-record</code>とは併用不可。<code>allowSupplyHost</code>が必要)</td></tr><tr><td><code>--host-record</code> / <code>--hr</code></td><td><code>host</code> / <code>pamHostname</code>フィールドから対象ホストを取得するレコードのUID/タイトル</td></tr><tr><td><code>--debug</code></td><td>解決処理の診断情報を表示</td></tr></tbody></table>

\*注\***:** まだ完全には実装されていません。

**例**:

{% code expandable="true" %}

```csharp
My Vault> pam-launch <RESOURCE_UID>

PAM launch
----------
Record UID: <UID>
Record type: pamMachine
Protocol: ssh
Configuration UID: <CONFIG_UID>
Target host: 10.0.0.12:22 (record)
Launch credential: <UID> (<title>)
Gateway: <GATEWAY_UID> (<name>)
Gateway status: Online

Interactive terminal session is not available yet in this Commander build.
```

{% endcode %}

</details>

<details>

<summary>DotNet SDK</summary>

**関数:**

```csharp
using KeeperSecurity.Plugins.PAM;

var prepare = await LaunchUtils.PrepareAsync(vault, new PamLaunchOptions
{
    Record = "<RESOURCE_UID>",
    Credential = "<PAM_USER_UID>",   // optional
    Gateway = "<GATEWAY_UID>",       // optional
    Host = null,                     // or "host:port" (not with HostRecord)
    HostRecord = null,               // optional host source record
    Debug = false
    // AvailableControllers: optional list when resolving gateway by name
});

Console.WriteLine($"Record: {prepare.Record?.Uid} ({prepare.Record?.TypeName})");
Console.WriteLine($"Protocol: {prepare.Protocol}");
Console.WriteLine($"Config: {prepare.ConfigUid}");
Console.WriteLine($"Host: {prepare.Host}:{prepare.Port} ({prepare.HostSource})");
Console.WriteLine($"Credential: {prepare.LaunchCredential?.Uid}");
Console.WriteLine($"Gateway: {prepare.GatewayUid} online={prepare.GatewayOnline}");
```

</details>

<details>

<summary>Power Commander</summary>

**コマンド**: `Invoke-KeeperPamLaunch`

**別名**: `pam-launch`

**パラメーター**:

<table><thead><tr><th width="296">パラメーター</th><th>説明</th></tr></thead><tbody><tr><td><code>-Record / -r</code></td><td>PAMリソースのUIDまたはタイトル (位置引数)</td></tr><tr><td><code>-Credential / -cr</code></td><td>起動用認証情報 (pamUser) のUIDまたはタイトル (レコード側でallow-supplyフラグが必要)</td></tr><tr><td><code>-Gateway / -g</code></td><td>ゲートウェイのUIDまたは名前で上書き</td></tr><tr><td><code>-Host / -H</code></td><td><code>host:port</code>形式でホストを上書き (<code>--host-record</code>とは併用不可。<code>allowSupplyHost</code>が必要)</td></tr><tr><td><code>-HostRecord / -hr</code></td><td><code>host</code> / <code>pamHostname</code>フィールドから対象ホストを取得するレコードのUID/タイトル</td></tr><tr><td><code>-Debug</code></td><td>pam-launchの解決処理の診断情報を表示</td></tr></tbody></table>

**注:** まだ完全には実装されていません。

**例**:

```powershell
PS > Invoke-KeeperPamLaunch -Record "<pamMachine-uid-or-title>"
PS > pam-launch -r "<uid>" -Credential "<pamUser>" -Gateway "<gateway-uid>"
PS > pam-launch -r "<uid>" -Host "10.0.0.5:22"
PS > pam-launch -r "<uid>" -HostRecord "<host-record-uid>" -Debug

```

</details>

<details>

<summary>Python CLI</summary>

**コマンド: 近日公開**

</details>

<details>

<summary>Python SDK</summary>

**コマンド: 近日公開**

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/keeperpam-commands/pam-launch-command.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
